cURL
curl --request GET \ --url https://api.tella.com/v1/videos/{id}/clips/{clipId}/layouts \ --header 'Authorization: Bearer <token>'
{ "layouts": [ { "id": "<string>", "durationMs": 5000, "layout": { "kind": "fullscreen", "screenFit": "cover", "style": "regular" }, "media": { "height": 123, "imageUrl": "<string>", "type": "image", "width": 123 }, "startTimeMs": 0, "transitionStyle": "spring" } ] }
Returns the layouts (sections) attached to a clip.
Documentation IndexFetch the complete documentation index at: https://tella.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://tella.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
API key obtained from your Tella account settings
Video identifier
"vid_abc123def456"
Clip identifier
"cl_xyz789ghi012"
OK
Layouts on a clip
Show child attributes
Was this page helpful?
Contact support